# Uses of Class
org.eclipse.core.commands.ParameterType

Packages that use ParameterType
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.

## Uses of ParameterType in org.eclipse.core.commands

Methods in org.eclipse.core.commands that return ParameterType
Modifier and Type
Method
Description
`ParameterType[]`
CommandManager.`getDefinedParameterTypes()`
Returns the command parameter types that are defined.
`ParameterType`
Command.`getParameterType(String parameterId)`
Returns the `ParameterType` for the parameter with the provided id or `null` if this command does not have a parameter type with the id.
`ParameterType`
CommandManager.`getParameterType(String parameterTypeId)`
Gets the command `ParameterType` with the given identifier.
`ParameterType`
ITypedParameter.`getParameterType()`
Returns the `ParameterType` associated with a command parameter or `null` if the parameter does not declare a type.
`final ParameterType`
ParameterTypeEvent.`getParameterType()`
Returns the instance of the parameter type that changed.
`ParameterType`
Command.`getReturnType()`
Returns the `ParameterType` for the return value of this command or `null` if this command does not declare a return value parameter type.
Methods in org.eclipse.core.commands with parameters of type ParameterType
Modifier and Type
Method
Description
`void`
Command.`define(String name, String description, Category category, IParameter[] parameters, ParameterType returnType)`
Defines this command by giving it a name, and possibly a description as well.
`void`
Command.`define(String name, String description, Category category, IParameter[] parameters, ParameterType returnType, String helpContextId)`
Defines this command by giving it a name, and possibly a description as well.

## Uses of ParameterType in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that return ParameterType
Modifier and Type
Method
Description
`ParameterType[]`
ICommandService.`getDefinedParameterTypes()`
Returns the collection of all of the defined command parameter types in the workbench.
`ParameterType`
ICommandService.`getParameterType(String parameterTypeId)`
Retrieves the command parameter type with the given identifier.